# Validate the emergency address for a number. With this endpoint, you can validate the emergency address associated with this number. Endpoint: POST /v1/projects/{projectId}/activeNumbers/{phoneNumber}/emergencyAddress:validate Version: 1.0.3 Security: Basic, OAuth2.0 ## Path parameters: - `projectId` (string, required) Found on your Sinch Customer Dashboard. Settings > Projects. Example: "YOUR_projectId" - `phoneNumber` (string, required) Output only. The phone number in E.164 format with leading +. Example: "+12025550134" ## Request fields (application/json): - `displayName` (string, required) Name for emergency address. Example: "New emergency address" - `address` (object, required) Details of the emergency address. - `address.streetNumber` (string, required) The street number for the emergency address. Example: "12345" - `address.streetInfo` (string, required) The street name of the emergency location. Example: "Main St" - `address.city` (string, required) The city of the emergency location. Example: "Springfield" - `address.state` (string, required) The state or province of the emergency location. Example: "IL" - `address.postalCode` (string, required) The postal code of the emergency location. Example: "62701" - `address.location` (string) The location for address. Example: "Apt 5" - `address.postalCodePlusFour` (string) The postal code of the emergency location. Example: "1234" ## Response 200 fields (application/json): - `phoneNumber` (string) The phone number in [E.164](https://community.sinch.com/t5/Glossary/E-164/ta-p/7537) format with leading +. Example +12025550134. Example: "+12025550134" - `displayName` (string) User supplied name for the phone number. Example: "User Name" - `validatedAddress` (object) Details of the emergency address. - `validatedAddress.streetNumber` (string) The street number for the emergency address. Example: "12345" - `validatedAddress.streetInfo` (string) The street name of the emergency location. Example: "Main St" - `validatedAddress.location` (string) The location for address. Example: "Apt 5" - `validatedAddress.city` (string) The city of the emergency location. Example: "Springfield" - `validatedAddress.state` (string) The state or province of the emergency location. Example: "IL" - `validatedAddress.postalCode` (string) The postal code of the emergency location. Example: "62701" - `validatedAddress.postalCodePlusFour` (string) The postal code of the emergency location. Example: "1234" - `validationResult` (string) Enum representing the result of address validation. Enum: "ADDRESS_VALIDATION_RESULT_CODE_UNSPECIFIED", "EXACT_MATCH", "NEAR_MATCH", "NO_MATCH" - `validationMessage` (string) Validation result message Example: "Corrected to valid address" - `correctedAddress` (object) Details of the emergency address. - `candidateAddresses` (array) List of candidate addresses (only available if validationResult == NO_MATCH) ## Response 400 fields (application/json): - `error` (object) - `error.code` (integer) Enum: 400 - `error.message` (string) - `error.status` (string) Enum: "INVALID_ARGUMENT" - `error.details` (array) - `error.details.type` (string) Enum: "BadRequest" - `error.details.fieldViolations` (array) - `error.details.fieldViolations.field` (string) - `error.details.fieldViolations.description` (string) ## Response 404 fields (application/json): - `error` (object) - `error.code` (integer) Enum: 404 - `error.message` (string) - `error.status` (string) Enum: "NOT_FOUND" - `error.details` (array) - `error.details.type` (string) - `error.details.resourceType` (string) The type of the resource that was not found. - `error.details.resourceName` (string) The name of the resource that was not found. - `error.details.owner` (string) The owner of the resource that was not found. - `error.details.description` (string) A description of the error. ## Response 500 fields (application/json): - `error` (object) - `error.code` (integer) Enum: 500 - `error.message` (string) - `error.status` (string) Enum: "INTERNAL", "UNKNOWN" - `error.details` (array)